package com.qxgmat.data.constants.enums.module;

public enum ReportModule {
    EXERCISE("exercise"), EXAMINATION("examination"), SENTENCE("sentence"), PREVIEW("preview"), TEXTBOOK("textbook");
    public String key;
    private ReportModule(String key){
        this.key = key;
    }

    public static ReportModule ValueOf(String name){
        if (name == null) return null;
        return ReportModule.valueOf(name.toUpperCase());
    }
}
